<?php

namespace FiloBlu\CustomerBlocker\Observer\Sales;

class OrderPlaceBefore extends OrderPlaceBeforeAbstract {

    /**
     * Execute observer
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return void
     */
    public function execute(
        \Magento\Framework\Event\Observer $observer
    ) {
        if($this->helper->isModuleEnable())
        {
            $order_email = $observer->getEvent()->getOrder()->getCustomerEmail();

            $emailToBlock = $this->helper->isEmailToBeBlocked($order_email);
            $custormerAddressToBlock = $this->checkCustomerAddress($observer);

            if($custormerAddressToBlock || $emailToBlock) {
                throw new \Magento\Framework\Exception\LocalizedException(__("Sorry, your order cannot be processed."));
            }
        }
    }
}